E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
GNet::EventHandlerList::Iterator Struct Reference

An iterator for GNet::EventHandlerList. More...

`#include <geventhandlerlist.h>`

## Public Types
typedef EventHandlerList::Value | Value

## Public Member Functions
| Iterator (const std::vector< Value > &, bool)
| Iterator (std::vector< Value >::const_iterator, std::vector< Value >::const_iterator)
Iterator & | operator++ ()
const Value & | operator* () const
bool | operator== (const Iterator &) const
bool | operator!= (const Iterator &) const
Descriptor | fd () const
EventHandler * | handler ()
ExceptionHandler * | eh ()
void | raiseEvent (void(EventHandler::*method)())
void | raiseEvent (void(EventHandler::*method)(EventHandler::Reason), EventHandler::Reason)

## Public Attributes
std::vector< Value >::const_iterator | m_p
std::vector< Value >::const_iterator | m_end

## Detailed Description

An iterator for GNet::EventHandlerList.

Definition at line 75 of file geventhandlerlist.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/geventhandlerlist.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/geventhandlerlist.cpp